> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/attachments/list.md).

# List

Resolves a list of attachments created for given avatar.

### GET /avatars/{AVATAR\_ID}/attachments

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/attachments"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/5723980430835712/attachments"
```

{% endtab %}
{% endtabs %}

#### Response

On success the endpoint returns HTTP 200 OK as well as a JSON body containing a list of attachments.

{% tabs %}
{% tab title="Schema" %}

```javascript
{
  "entries": [
    {
      "id": int64,
      "type": "string",
      "name": "string",
      "url": "string",
      "updated_at": "string" // ISO-8601 DATETIME
    },
    ...
  ]
}
```

{% endtab %}

{% tab title="Example" %}

```javascript
{
  "entries": [
    {
      "id": 5754466256551936,
      "type": "renderings_preview",
      "name": "neutral",
      "url": "https://storage.googleapis.com/live-com-loomai-api-attachments/5484235973984256/MThVY01uV2tfbWlhLWF2YXRhcg==.png",
      "updated_at": "2020-04-05T16:37:57Z"
    },
    {
      "id": 5670865657659392,
      "type": "gltf",
      "name": "",
      "url": "https://storage.googleapis.com/live-com-loomai-api-attachments/5484235973984256/model.glb",
      "updated_at": "2020-04-05T16:37:44Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}
